curl --request PATCH \
--url https://api.example.com/sessions/{session_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"summary": {
"summary": "The user discussed project planning with the agent.",
"updated_at": "2025-10-21T14:30:00Z"
}
}
'{
"agent_session_id": "session-123",
"session_id": "session-123",
"session_name": "Updated Session Name",
"session_summary": {
"summary": "The user discussed project planning with the agent.",
"updated_at": "2025-10-21T14:30:00Z"
}
}{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Sessions
Update Session
Update session properties such as session_name, session_state, metadata, or summary. Use this endpoint to modify the session name, update state, add metadata, or update the session summary.
PATCH
/
sessions
/
{session_id}
curl --request PATCH \
--url https://api.example.com/sessions/{session_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"summary": {
"summary": "The user discussed project planning with the agent.",
"updated_at": "2025-10-21T14:30:00Z"
}
}
'{
"agent_session_id": "session-123",
"session_id": "session-123",
"session_name": "Updated Session Name",
"session_summary": {
"summary": "The user discussed project planning with the agent.",
"updated_at": "2025-10-21T14:30:00Z"
}
}{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Authorizations
Query Parameters
Body
application/json
Response
Session updated successfully
- AgentSessionDetailSchema
- TeamSessionDetailSchema
- WorkflowSessionDetailSchema
Was this page helpful?